commit:     51a0d611f41917fb6b5a5042e09a09b2a9d1a922
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar 27 12:37:50 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar 27 12:37:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=51a0d611

dev-python/lyricwikia: do not depend on deprecated dep

Package-Manager: Portage-2.3.96, Repoman-2.3.21
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/lyricwikia/lyricwikia-0.1.11.ebuild | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/dev-python/lyricwikia/lyricwikia-0.1.11.ebuild 
b/dev-python/lyricwikia/lyricwikia-0.1.11.ebuild
index b728042..ce02490 100644
--- a/dev-python/lyricwikia/lyricwikia-0.1.11.ebuild
+++ b/dev-python/lyricwikia/lyricwikia-0.1.11.ebuild
@@ -15,8 +15,6 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-BDEPEND="dev-python/pytest-runner[${PYTHON_USEDEP}]"
-
 DEPEND="test? ( dev-python/responses[${PYTHON_USEDEP}] )"
 
 RDEPEND="
@@ -28,6 +26,13 @@ PATCHES="${FILESDIR}/${P}-skip-online-test.patch"
 
 distutils_enable_tests pytest
 
+python_prepare_all() {
+       # do not depend on deprecated dep
+       sed -i -e '/pytest-runner/d' setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
 pkg_postinst() {
        elog "Note that access to LyricWikia through this API (and products 
that use this API) should comply to the LyricWikia terms of use"
 }

Reply via email to